Bug 1486401 - CVE-2017-13711 Qemu: Slirp: use-after-free when sending response [fedora-all]
Summary: CVE-2017-13711 Qemu: Slirp: use-after-free when sending response [fedora-all]
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: qemu
Version: 26
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Fedora Virtualization Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1508739 (view as bug list)
Depends On:
Blocks: CVE-2017-13711
TreeView+ depends on / blocked
 
Reported: 2017-08-29 16:08 UTC by Prasad J Pandit
Modified: 2017-11-02 06:40 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-19 16:00:32 UTC


Attachments (Terms of Use)

Description Prasad J Pandit 2017-08-29 16:08:49 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Prasad J Pandit 2017-08-29 16:09:04 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1486400,1486401

# Description of your update
notes=Security fix for CVE-2017-13711

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Cole Robinson 2017-10-19 15:54:28 UTC
commit 4da97120d51a4383aa96d741a2b837f8c4bbcd0b
Author: Stefan Hajnoczi <stefanha@redhat.com>
Date:   Wed Aug 9 17:02:11 2017 +0100

    IDE: Do not flush empty CDROM drives

Comment 3 Cole Robinson 2017-10-19 16:00:32 UTC
Actual commit is:

commit 1201d308519f1e915866d7583d5136d03cc1d384
Author: Samuel Thibault <samuel.thibault@ens-lyon.org>
Date:   Fri Aug 25 01:35:53 2017 +0200

    slirp: fix clearing ifq_so from pending packets


It's already in f27 with 2.9.1, and is in 2.10.1 release which I'm building for f27/rawhide shortly

Comment 4 Prasad J Pandit 2017-11-02 06:40:40 UTC
*** Bug 1508739 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.